Bug 375951 - Fedora 8 on IBM T42: ipw2200 not detected/configured correctly
Fedora 8 on IBM T42: ipw2200 not detected/configured correctly
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 09:18 EST by Will Newton
Modified: 2008-04-22 18:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.5.5-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 18:38:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Newton 2007-11-11 09:18:19 EST
Description of problem:

I installed F8 on my T42 and I noticed during the install only the eth0
(on-board ethernet) was offered to be configured. I would have expected to be
able to configure my eth1 (ipw2200 on-board wifi) at this point. Not a
showstopper because I was installing from DVD.

Once I was installed I logged in a followed System -> Administration -> Network
Device Control. Nothing happened. I have this stack trace in my .xsession-errors:

Traceback (most recent call last):
  File "/usr/bin/system-control-network", line 484, in <module>
    window = mainDialog()
  File "/usr/bin/system-control-network", line 117, in __init__
    self.devicelist = self.getProfDeviceList()
  File "/usr/bin/system-control-network", line 406, in getProfDeviceList
    profilelist = getProfileList(refresh)
  File "/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 652,
in getProfileList
    __PFList.load()
  File "/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 75,
in load
    changed = updateNetworkScripts()
  File "/usr/share/system-config-network/netconfpkg/NC_functions.py", line 940,
in updateNetworkScripts
    log.log(5, "Cannot write to %s" % (getRoot + "/"))
TypeError: unsupported operand type(s) for +: 'function' and 'str'

I then tried System -> Administration -> Network and that popped up a dialog
that looked like I could configure my wifi.

Unfortunately the wireless settings tab was not very helpful and initially
selects the "Master" mode for the interface which results in pretty useless
error messages in the logs (ioctl bad argument type stuff). I think Managed
would be a better default in 90% of cases. 

Version-Release number of selected component (if applicable):

This is a clean F8 install from DVD. I'm not sure if NetworkManager is the
correct component to be reporting this against (and apologies for conflating a
few issues here) feel free to reassign.
Comment 1 Jim Lawrence 2007-11-11 23:16:43 EST
is the ipw2200 device listed ?  

IS the ipw2200 firmware installed? 

run ls /lib/firmware | grep ipw2200

You should have the following output.. 

 ls /lib/firmware | grep ipw2200
ipw2200-bss.fw
ipw2200-ibss.fw
ipw2200-sniffer.fw
LICENSE.ipw2200

Either way this doesn't appear to be a NetworkManager issue 
Comment 2 Will Newton 2007-11-12 05:05:31 EST
Yes, the firmware is installed and the driver module is loaded. This is what
makes it so hard to debug the issue - I had to enable ipw2200 debug to actually
see why it would not associate with my access point (the channels did not
match). Master mode seems like a pretty bad default IMO.
Comment 3 Fedora Update System 2008-04-07 10:34:21 EDT
system-config-network-1.5.5-1.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-04-09 01:19:38 EDT
system-config-network-1.5.5-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-network'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2995
Comment 5 Fedora Update System 2008-04-22 18:38:24 EDT
system-config-network-1.5.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.